:root {
  --lightWhite: #ffffff;
  --darkWhite: #f3f3f3;
  --borderWhite: 1px groove #d1d7dc;
  --lightSelected: linear-gradient(
    190deg,
    rgb(172, 255, 243) 0%,
    rgb(156, 162, 255) 100%
  );

  /* dark */
  --lightBlack: #11121e;
  --darkBlack: #1d1d29;
  --borderBlack: 1px groove #363b45;
  --darkSelected: linear-gradient(
    190deg,
    rgb(60, 214, 214) 0%,
    rgb(111, 0, 255) 100%
  );
  /* svg and text */
  --textColor: #11121e;
  --svgColor: invert(20%);
  /* common */
  --smooth-Box-Shadow: 0 0px 10px rgba(0, 0, 0, 0.1);
  --icon-bg: #fcfdff;
  --selectBox: #dbe9ff;
  --border-r-default: 0.5rem;
}
@font-face {
  font-family: "BoldSquad";
  src: url("../../Assets/Fonts/BoldSquad-5y1vv.ttf");
}
@font-face {
  font-family: "CoffieBold";
  src: url("../../Assets/Fonts/CoffieBold-X3w1j.otf");
}
@font-face {
  font-family: "Goldleaf";
  src: url("../../Assets/Fonts/GoldleafBoldPersonalUseBold-eZ4dO.ttf");
}
@font-face {
  font-family: "Uniqloves";
  src: url("../../Assets/Fonts/UniqlovesBoldBold-4Bm8K.ttf");
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
.Text_Main_container {
  /* border: 1px solid red; */
  padding: 0.5rem;
}
.Text_Main_Heading {
  font-size: 1.5rem;
  width: fit-content;
  font-family: "Urbanist", sans-serif;

  background: var(--lightSelected);
  padding: 0.5rem 1rem;
  border-radius: 0.5rem;
  margin-bottom: 1.2rem;
  box-shadow: var(--smooth-Box-Shadow);
  gap: 1rem;

  & img {
    filter: var(--svgColor);
  }
}
.text_Gradient_Display {
  border: var(--borderWhite);
  background-color: var(--darkWhite);
  height: fit-content;
  border-radius: 1rem;
  box-shadow: var(--smooth-Box-Shadow);
  padding: 1rem;
  /* border: 1px solid blue; */
}
.text_display_container {
  width: 100%;
  height: fit-content;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  margin-top: 3rem;
  border: var(--borderWhite);
  box-shadow: var(--smooth-Box-Shadow);
  border-radius: 1rem;
  padding: 2rem 2rem 0rem;
  background: var(--lightWhite);
  /* border: 1px solid red; */
  /* background: #edf2f4; */
  position: relative;
}

.text {
  width: 90%;
  height: auto;
  /* border: 1px solid red; */
  display: grid;
  place-items: center;
  margin: 0 auto;
}
.userText {
  font-size: 3rem;
  font-family: BoldSquad;
  text-align: center;
  background-image: linear-gradient(180deg, #4158d0, #c850c0);
  background-clip: text;
  color: transparent;
  font-weight: 900;
  /* border: 1px solid red; */
  word-wrap: break-word;
}

.appsStyle {
  background: var(--lightWhite);
  padding: 0.5rem 1rem;
  display: flex;
  justify-content: space-between;
  border: var(--borderWhite);
  border-radius: 0.5rem;
  gap: 0.5rem;
  width: 7rem;
  cursor: pointer;
  position: relative;
  & img {
    rotate: -90deg;
  }
}
.fontDisplay {
  position: absolute;
  top: 2.5rem;
  left: 50%;
  transform: translate(-50%, 0%);
  background-color: var(--lightWhite);
  border: var(--borderWhite);
  width: 7rem;
  border-radius: 1rem;
  padding: 0.5rem;
  box-shadow: var(--smooth-Box-Shadow);

  & ul {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0;
    & li {
      width: 100%;
      text-align: center;
      margin-top: 0.5rem;
      border-radius: 0.5rem;
      margin-left: 0;

      &:hover {
        background-color: var(--selectBox);
      }
    }
  }
}

.textEdit_Input {
  cursor: text;
  min-width: 7rem;
  width: 100%;
  font-size: 1rem;
}
.inputAndReset {
  display: flex;
  gap: 1rem;
}
.resetIcon {
  cursor: pointer;
  filter: var(--svgColor);
}

#fontDrop {
  & ul li:nth-child(1) {
    font-family: "Inter Tight", sans-serif;
  }
  & ul li:nth-child(2) {
    font-family: "Josefin Sans", sans-serif;
  }
  & ul li:nth-child(3) {
    font-family: "Lobster", sans-serif;
  }
  & ul li:nth-child(4) {
    font-family: "BoldSquad", sans-serif;
  }
  & ul li:nth-child(5) {
    font-family: "CoffieBold", sans-serif;
  }
  & ul li:nth-child(6) {
    font-family: "Goldleaf", sans-serif;
  }
  & ul li:nth-child(7) {
    font-family: "Uniqloves", sans-serif;
    font-size: 80%;
  }
}
#fontDrop,
#sizeDrop {
  z-index: 1;
  box-shadow: var(--smooth-Box-Shadow);
}
.editContainer {
  display: flex;
  margin-bottom: 10px;
  margin-right: -20px;
  position: relative;
  z-index: 9999;
}
.editIcon {
  padding: 0.2rem;
  margin-left: auto;
  cursor: pointer;
  border-bottom-left-radius: 0rem;
}
.edit {
  display: flex;
  width: fit-content;
  height: fit-content;
  gap: 1rem;
  margin-left: auto;
  position: absolute;
  right: 2.3rem;
  bottom: -3rem;
  padding: 1rem 2rem;
  background-color: var(--darkWhite);
  border: var(--borderWhite);
  border-radius: 1rem 0rem 1rem 1rem;
  animation: var(--smoothAnimation);
  box-shadow: var(--smooth-Box-Shadow);
  /* border: 1px solid red; */
}
.ShowHide {
  display: none;
}
.fontAndSizeSelector {
  display: flex;
  gap: 1rem;
}
.directionAndReset {
  display: flex;
  gap: 1rem;
  width: auto;
}
.colorContainer {
  width: fit-content;
  border: var(--borderWhite);
  border-radius: 16px;
  margin: 0 auto;
  margin-top: 3rem;
  padding: 0.5rem;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1rem;
  flex-wrap: wrap;
  background: var(--lightWhite);
}
.colorInputContainer {
  /* border: 1px solid red; */
  position: relative;
  width: fit-content;
}
.colorInpDiv {
  border: var(--borderWhite);
  width: fit-content;
  border-radius: 5px;
  overflow: hidden;
  position: absolute;
  bottom: 6px;
  left: 7px;
}
.colorInputColor {
  width: 35px;
  height: 35px;
  border: none;
  outline: none;
  cursor: pointer;
  background: transparent;
  transform: scale(1.7);
}

.colorInputText {
  width: 9rem;
  height: 50px;
  padding: 0.5rem;
  padding-left: 3.2rem;
  border-radius: 0.5rem;
  border: var(--borderWhite);
  outline: none;
  font-size: 1.2rem;
  background-color: var(--darkWhite);
  &:focus {
    border: 1px solid purple;
  }
}
.directionContiner {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  gap: 0.5rem;
}
.pDirection {
  font-size: 1.2rem;
  font-weight: 500;
}
.direction {
  width: 5.4rem;
  height: 50px;
  padding: 0.5rem 0.5rem;

  border-radius: 0.5rem;
  border: var(--borderWhite);
  outline: none;
  font-size: 1.2rem;
  background-color: var(--darkWhite);
  &:focus {
    border: 1px solid purple;
  }
}
.cdReset {
  filter: var(--svgColor);
  border: var(--borderWhite);
  border-radius: 12px;
  padding: 0.5rem;
  box-sizing: content-box;
  cursor: pointer;
}

.deg {
  position: absolute;
  right: 10px;
  user-select: none;
}
.codeContainer {
  background-color: #1c2434;
  width: 100%;
  max-width: 500px;
  height: 300px;
  margin: 3rem auto;
  border-radius: 1.2rem;
  box-shadow: var(--smooth-Box-Shadow);
}
.top {
  width: 100%;
  height: 40px;
  padding: 1.8rem 1rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.codeLogo {
  display: flex;
  gap: 0.4rem;
  & .circle {
    width: 15px;
    height: 15px;
    border-radius: 50%;
  }
}
.codeLogo .circle:nth-child(1) {
  background-color: #ff5f5a;
}

.codeLogo .circle:nth-child(2) {
  background-color: #ffbe2e;
}
.codeLogo .circle:nth-child(3) {
  background-color: #2aca44;
}
.copy {
  filter: invert(80%);
  cursor: pointer;
}
.bottom {
  overflow-y: scroll;
  overflow-y: hidden;
  height: calc(100% - 75px);
  margin: 1rem 1rem;
}
.bottom::-webkit-scrollbar {
  width: 8px;
}

.bottom::-webkit-scrollbar-track {
  background-color: #1c2434;
  border-radius: 10px;
}

.bottom::-webkit-scrollbar-thumb {
  background-color: white;

  border-radius: 10px;
  border: 5px solid #1c2434;
}

.bottom::-webkit-scrollbar-thumb:hover {
  background-color: rgb(202, 202, 202);
}
.code {
  text-wrap: nowrap;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  font-weight: 500;
  line-height: 1.6rem;
  font-size: 1.1rem;
}

.selector,
.selectorClose {
  color: #ffae57;
}
.properties {
  color: #b99ef3;
  margin-left: 0.7rem;
}
.setDeg,
.setColor1,
.setColor2 {
  color: #b99ef3;
}

.propertyName {
  color: #5ac9e0;
}
#cssOutput {
  position: absolute;
  bottom: 1000%;
}
.Copied {
  display: flex;
  gap: 0.5rem;
  position: relative;
}
.copyPop {
  background-color: #2aca44;
  padding: 0.5rem;
  border-radius: 1rem;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  font-weight: 900;
  color: #1c2434;
  position: relative;
  animation: copy 2s ease-out;
  display: none;
  position: absolute;
  left: -80px;
  top: -10px;
  &::after {
    content: "";
    width: 10px;
    height: 10px;
    background-color: #2aca44;
    position: absolute;
    rotate: 45deg;
    top: 15px;
  }
}

@keyframes copy {
  0% {
    transform: translateX(100%);
    scale: 0;
    opacity: 0;
  }
  20% {
    transform: translateX(0%);
    scale: 1;
    opacity: 1;
  }
  80% {
    transform: translateX(0%);
    opacity: 1;
    scale: 1;
  }
  100% {
    transform: translateX(500%);
    opacity: 0;
    scale: 0;
  }
}
@media screen and (max-width: 800px) {
  .edit {
    display: flex;
    flex-direction: column;
    bottom: -7rem;
  }
  .textEdit_Input {
    width: 100%;
  }
  .text_display_container {
    margin-top: 1rem;
  }
  .ShowHide {
    display: none;
  }
}
@media screen and (max-width: 450px) {
  .fontAndSizeSelector {
    flex-direction: column;
  }
  .font,
  .size {
    width: 100%;
  }
  .edit {
    bottom: -10rem;
    padding: 1rem;
  }
}
@media screen and (max-width: 350px) {
  .userText {
    font-size: 2rem;
  }
  .Text_Main_Heading {
    font-size: 1rem;

    & img {
      width: 30px;
    }
  }
}
@media screen and (max-width: 300px) {
  .edit {
    bottom: -11rem;
    right: 0;
    padding: 1rem;
  }
}
@media screen and (max-width: 320px) {
  .directionAndReset {
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .deg {
    right: 45px;
    bottom: 15px;
  }
}
